CRC Business Credit History
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/business/crc/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"registration_number": "RC-123456"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/business/crc/"
payload = { "registration_number": "RC-123456" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({registration_number: 'RC-123456'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/business/crc/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Entreprise
Historique de crédit d'entreprise CRC
Récupérez l’historique de crédit d’une entreprise auprès du bureau CRC à l’aide de son numéro d’enregistrement.
POST
/
api
/
onboarding
/
business
/
crc
/
CRC Business Credit History
L’endpoint Historique de crédit d’entreprise CRC fournit un enregistrement détaillé des activités liées au crédit d’une entreprise via le bureau CRC, notamment les comptes de prêt, les échéanciers de paiement, l’utilisation du crédit et le statut d’impayé.
Endpoint
POST /api/onboarding/business/crc/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
registration_number | string | Oui | Le numéro RC ou d’enregistrement de l’entreprise |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/business/crc/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"registration_number": "RC123456"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data._id | string | Identifiant unique de l’enregistrement |
data.business_reg_no | string | Numéro d’enregistrement de l’entreprise |
data.name | string | Nom de l’entreprise |
data.address | string | Adresse enregistrée |
data.score.totalNoOfLoans | number | Prêts totaux au dossier |
data.score.totalNoOfActiveLoans | number | Prêts actuellement actifs |
data.score.totalNoOfClosedLoans | number | Prêts clôturés |
data.score.totalBorrowed | number | Montant total emprunté |
data.score.totalOutstanding | number | Solde impayé total |
data.score.totalOverdue | number | Montant total en retard |
data.score.totalNoOfDelinquentFacilities | number | Nombre de facilités en impayé |
data.score.lastReportedDate | string | Date du dernier rapport du bureau |
data.searchedDate | string | Date à laquelle ce rapport a été récupéré |
{
"status": "success",
"data": {
"_id": "636e768d8215a2e2fb06cfde",
"business_reg_no": "RC123456",
"businessId": "64db7ab8a26e603218838892",
"name": "CAPITALFIELD ASSET MGT LTD",
"phone": "23408036732620",
"dateOfRegistration": "2003-08-20",
"address": "ELEGANZA HOUSE, 15B JOSEPH WESLEY STR, BROAD STREET, LAGOS NIGERIA",
"score": {
"totalNoOfDelinquentFacilities": 1,
"lastReportedDate": "10/Nov/2022",
"totalNoOfLoans": 24,
"totalNoOfInstitutions": 12,
"totalBorrowed": 567401372,
"totalOutstanding": 19732,
"totalOverdue": 19754,
"totalNoOfPerformingLoans": 23,
"totalNoOfClosedLoans": 17,
"totalNoOfActiveLoans": 7,
"crcReportOrderNumber": "W-0063381978/2022",
"highestLoanAmount": 22980000
},
"searchedDate": "2023-11-23T16:16:47.279Z"
},
"message": "CRC check successful"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Missing required fields"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

